Bug 13455 - xdm-1.1.4 and 1.1.6: xlogin*allowNullPasswd: true doesn't work until the second login attempt
Summary: xdm-1.1.4 and 1.1.6: xlogin*allowNullPasswd: true doesn't work until the seco...
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: App/xdm (show other bugs)
Version: 7.2 (2007.02)
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Alan Coopersmith
QA Contact: Xorg Project Team
URL: https://bugs.gentoo.org/show_bug.cgi?...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-30 00:36 UTC by Shawn Rutledge
Modified: 2011-06-07 22:33 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Assign allow_null_passwd and allow_root_login variables' values before call to pam_authenticate() (715 bytes, patch)
2011-06-02 16:11 UTC, Tim Shumakov
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Rutledge 2007-11-30 00:36:24 UTC
I tried adding this line to /etc/X11/xdm/XResources:

xlogin*allowNullPasswd: true

in order to allow a user with no passwd to log in.  (First I verified that the
user can log in from the console, and yes, indeed it does not ask for a
password.)  Then I restarted xdm and tried to log in.  The first time after starting xdm, it asks for a password, I leave the field empty, and fail to log in.  The second time however, after having failed to log in, I simply type the same username again, and it does not prompt for a password, but immediately logs in, as it should have done the first time.  If I log out and get back to the xdm prompt, the whole sequence can be repeated (username, empty password, fail; username, login successful).
Comment 1 Alan Coopersmith 2009-09-17 17:39:24 UTC
allowNullPasswd handling is specific to each authentication backend.

If using PAM, allowNullPasswd is passed to PAM as the setting or unsetting of PAM_DISALLOW_NULL_AUTHTOK, and left to PAM to enforce.
Comment 2 Tim Shumakov 2011-06-02 16:11:29 UTC
Created attachment 47464 [details] [review]
Assign allow_null_passwd and allow_root_login variables' values before call to pam_authenticate()
Comment 3 Alan Coopersmith 2011-06-02 18:45:06 UTC
Thanks for figuring this out!   A modified form of this patch has been sent
on to xorg-devel for review:

http://patchwork.freedesktop.org/patch/5720/
Comment 4 Alan Coopersmith 2011-06-07 22:33:30 UTC
Fix pushed to git master:
http://cgit.freedesktop.org/xorg/app/xdm/commit/?id=3c3f9cde9dda4c74178cc5428ebf8967c26a516a


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.